Retrieve latest verifier policy
Retrieves the latest published ecosystem verifier policy by providing the ecosystem ID.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytics Events
ecosystemId*stringThe UUID of the ecosystem
uuidLatest verifier policy retrieved
application/json- response
id*stringUnique identifier for this verifier policy.
uuidpublishedAt*stringThe timestamp when the verifier policy was published.
date-timeparticipants*array<>A list of participants associated with the verifier policy.
curl -X GET "https://example.com/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/verifier-policies/public/latest"{ "id": "782f1885-c7c2-4459-8426-b6d7c111b0b1", "publishedAt": "2024-10-22T00:00:00Z", "participants": [ { "id": "a24e391a-c27f-4b6e-9805-1ee7e03f3c58", "name": "My Participant", "verifierCertificates": [ { "id": "599bf148-d711-405a-a20b-9c8a87ac8850", "certificatePem": "-----BEGIN CERTIFICATE-----\r\nMIIBwzCCAWigAwIBAgIKRGC+CqoTGJKkkTAKBggqhkjOPQQDAjAgMR4wCQYDVQQG\r\n-----END CERTIFICATE-----\r\n", "certificateFingerprint": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2" } ] } ]}How would you rate this page?
Retrieve verifier policy preview GET
Retrieves an ecosystem verifier policy preview by providing the ecosystem's ID. A policy preview includes all the participants and their verifier certificates created in the ecosystem, including those that fail validation and would be excluded from a published policy. The validation result is provided for each certificate.
Retrieve verifier policy by ID GET
Retrieves a specific published ecosystem verifier policy by providing the ecosystem ID and the verifier policy ID. The verifier policy ID is the `id` returned when a policy is published, and is also included in the response from the [Retrieve latest verifier policy](#operation/getLatestVerifierPolicy) endpoint. This endpoint is intended for public consumption, and as such does not require authentication.